import { Dialog } from '../Dialog';
import * as React from 'react';
declare const Command: React.ForwardRefExoticComponent<any>;
type CommandDialogProps = Omit<React.ComponentPropsWithoutRef<typeof Dialog>, 'children'> & {
    children?: React.ReactNode;
    title?: string;
    description?: string;
};
declare const CommandDialog: ({ children, title, description, ...props }: CommandDialogProps) => import("react/jsx-runtime").JSX.Element;
declare const CommandInput: React.ForwardRefExoticComponent<any>;
declare const CommandList: React.ForwardRefExoticComponent<any>;
declare const CommandEmpty: React.ForwardRefExoticComponent<any>;
declare const CommandGroup: React.ForwardRefExoticComponent<any>;
declare const CommandSeparator: React.ForwardRefExoticComponent<any>;
declare const CommandItem: React.ForwardRefExoticComponent<any>;
declare const CommandShortcut: {
    ({ className, ...props }: React.HTMLAttributes<HTMLSpanElement>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export { Command, CommandDialog, CommandInput, CommandList, CommandEmpty, CommandGroup, CommandItem, CommandSeparator, CommandShortcut, };
